### Virtual Method

# Clutter DeformEffect deform_vertex

#### Declaration [src]

    void
    deform_vertex (
      ClutterDeformEffect* effect,
      gfloat width,
      gfloat height,
      ClutterTextureVertex* vertex
    )

#### Description [src]

Virtual function; sub-classes should override this function to compute the deformation of each vertex.

#### Parameters

`width`

  Type: `gfloat`

  No description available.

`height`

  Type: `gfloat`

  No description available.

`vertex`

  Type: `ClutterTextureVertex`

  No description available.

  The data is owned by the caller of the method.